openapi: 3.0.0
info:
  title: Haqq Supply API
  version: '1.0'
servers:
- url: https://data.haqq.network/api
tags: []
paths:
  /supply/total:
    get:
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/TotalSupply'
            text/plain; charset=utf-8:
              schema:
                type: string
  /supply/circulating:
    get:
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/CircSupply'
            text/plain; charset=utf-8:
              schema:
                type: string
components:
  schemas:
    CircSupply:
      type: object
      required:
      - circulating_supply
      properties:
        circulating_supply:
          type: number
          format: double
    TotalSupply:
      type: object
      required:
      - total_supply
      properties:
        total_supply:
          type: number
          format: double
